'use strict'

vevo.directive 'ngExitModal', ['$rootScope', '$timeout', ($rootScope, $timeout) ->

    restrict: 'A'
    scope: true

    controller: ($scope) ->


        $scope.$on 'TvInput.ngExitModal.navigate', (e, data) =>
            $scope.handleNavigate data

        $scope.$on 'TvInput.ngExitModal.enterKey', =>
            $scope.handleEnterKey()


    link: (scope, el, attrs) ->

        _button = 'exit'
        scope.activeButton = 'exit'

        scope.handleEnterKey = =>
            if _button is 'exit'
                widgetAPI.sendExitEvent()
            else
                $timeout -> $rootScope.subModal = ''


        scope.handleNavigate = (data) =>

            key = data.key

            if key is 'left'
                _navigateLeft()
            else if key is 'right'
                _navigateRight()

        _navigateLeft = =>
            return if _button is 'exit'
            _button = 'exit'
            scope.$apply -> scope.activeButton = 'exit'

        _navigateRight = =>
            return if _button is 'cancel'
            _button = 'cancel'
            scope.$apply -> scope.activeButton = 'cancel'


]



