'use strict'

vevo.directive 'ngScheduleSlider', ['$rootScope', ($rootScope) ->

    restrict: 'A'
    scope: true

    controller: ($scope) ->

        $scope.$on 'Nav.ngScheduleSlider.initVevoTvSchedule', =>
            $scope.handleInitVevoTvSchedule()

        $scope.$on 'Nav.ngScheduleSlider.vevoTvScheduleNext', =>
            $scope.handleVevoTvScheduleNext()

        $scope.$on 'Nav.ngScheduleSlider.vevoTvSchedulePrev', =>
            $scope.handleVevoTvSchedulePrev()

    link: (scope, el, attrs) ->

        curIndex = 0
        curIndexOnScreen = 0
        distance = 0

        scope.handleInitVevoTvSchedule = =>
            curIndex = 0
            curIndexOnScreen = 0
            distance = 0
            el.css
                left: 0


        scope.handleVevoTvScheduleNext = =>
            if curIndexOnScreen is 2
                distance -= 340
                el.animate
                    left: distance
            else
                curIndexOnScreen++

            curIndex++

        scope.handleVevoTvSchedulePrev = =>

            if curIndexOnScreen is 0
                distance += 340
                el.animate
                    left: distance
            else
                curIndexOnScreen--

            curIndex--

]








