'use strict'

vevo.factory 'UI', ['$rootScope', ($rootScope) ->

    transition = (el, params) ->
        $(el).transition params

    fadeOut = (el, params) ->
        el.fadeOut params

    animateOut = (el, params) ->
        speed = if params?.speed? then params.speed else ''
        el.animate
            opacity: 0
        , speed

    animateIn = (el, params) ->
        speed = if params?.speed? then params.speed else ''
        opacity = if params?.opacity? then params.opacity else 1
        el.animate
            opacity: opacity
        , speed

    {transition, fadeOut, animateOut, animateIn}


]

